# Uses of Class
javax.swing.ComponentInputMap

Packages that use ComponentInputMap
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.

- ## Uses of ComponentInputMap in javax.swing

  Methods in javax.swing that return ComponentInputMap
  Modifier and Type
  Method
  Description
  `static ComponentInputMap`
  LookAndFeel.`makeComponentInputMap(JComponent c, Object[] keys)`
  Creates a `ComponentInputMapUIResource` from `keys`.

- ## Uses of ComponentInputMap in javax.swing.plaf

  Subclasses of ComponentInputMap in javax.swing.plaf
  Modifier and Type
  Class
  Description
  `class`
  `ComponentInputMapUIResource`
  A subclass of javax.swing.ComponentInputMap that implements UIResource.